# KSPInitialResidual

Computes the residual.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPInitialResidual(KSP ksp,Vec vsoln,Vec vt1,Vec vt2,Vec vres,Vec vb)

Collective on KSP

### Input Parameters

| vsoln | - solution to use in computing residual
| vt1, vt2 | - temporary work vectors
| vres | - calculated residual
| vb | - right-hand-side vector

### Notes

This routine assumes that an iterative method, designed for

        A x = b

will be used with a preconditioner, C, such that the actual problem is either

        AC u = f (right preconditioning) or

        CA x = Cf (left preconditioning).

### Keywords

KSP, residual

### See Also

KSPMonitor()

Level:developer
Location:src/ksp/ksp/interface/itres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages